Subject: Re: bug#36581: Installing 389-ds-base doesn't appear to result in a working LDAP server

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 11 Jul 2019 11:06:37 +0200

Hi Brant,

that’s right.  Installing just 389-ds-base isn’t going to be enough and
the scripts it comes with are less than helpful.

In the Guix System overarching configuration (involving configuration
files, creation of groups and user accounts, starting of daemons, etc)
is done via system services.

I was just about to recommend a certain service … but then realized that
I never actually finished it and the (gnu services ldap) module is only
provided by a file in my personal copy of the Guix repository!

I’ll make finishing this a priority once I’m back from vacation this
weekend.

--
Ricardo